Skip to main content
POST
/
contracts
/
{id}
/
pricing-provisions
Create Pricing Provision
curl --request POST \
  --url https://v1.api.flux-os.com/contracts/{id}/pricing-provisions \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-user-id: <api-key>' \
  --data '
{
  "type": "<unknown>",
  "fee": "<unknown>",
  "description": null
}
'
{
  "data": {
    "id": "<string>",
    "description": null,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "groups": [
      {
        "id": "<string>",
        "parent_group": null,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "conditions": [
          {
            "value": 123,
            "id": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          }
        ]
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required
x-user-id
string
header
required

Path Parameters

id
integer
required

The contract ID.

Body

application/json
type
any
required
fee
any
required
description
string | null

Response

Pricing provision successfully created.

data
object